import * as Vue from 'vue';
import { type Plugin } from 'vue';
import { EventHook } from '@vueuse/core';
interface CeVueApp {
    version: string;
    readonly config: Vue.AppConfig;
    provide(clientKey: string | symbol, value: unknown): CeVueApp;
    onUnmount(fn: EventHook['on']): void;
    use(plugin: Plugin, ...options: unknown[]): CeVueApp;
}
/**
 * This will allow you to register certain vue plugins with your Vue CE
 *
 *   **Only tested with VueQuery and PrimeVue**
 *
 * This should only be called at the root of the CE App.  E.g. YourCeApp.ce.vue
 */
export declare const useCeVueApp: (configFn: (app: CeVueApp) => void) => void;
declare function declareVuejsExample(): void;
export { declareVuejsExample };
